﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ApiDePaul.DTO;
using Model;

namespace ApiDePaul
{
    public static class ChampionMapping
    {
        public static ChampionDto ChampToDto(this Champion c)
        {
            return new ChampionDto()
            {
                Name = c.Name,
                Bio = c.Bio,
                Icon = c.Icon
            };
        }
        public static Champion DtoToChamp(this ChampionDto c) => new Champion(c.Name);
    }
}